/*
**  mailhist.h (FrontDoor)
**
**  Copyright 1991 Joaquim H. Homrighausen. All rights reserved.
**
**  INBOUND/OUTBOUND.HIS format for FrontDoor 2.00+
**
**  Last revision:  91-10-02
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*/

/*
**  The first record in the .HIS files is not a valid history entry. It
**  contains the date/time when the .HIS file was last packed or when
**  it was created if it has never been packed. So if you're reading the
**  .HIS files for any reason, skip the first record and you'll be at the
**  first valid record.
**
**  Note that the two char[] fields are in Pascal fashion. The first byte is
**  the length byte. The actual string starts at [1] and the string is NOT
**  NUL terminated. In pascal they would be string[30] and string[38].
**
**  Note that the COST field will contain zero for inbound mail sessions as
**  well as any failed session negotiated using the script language.
*/
typedef struct
    {
    word    year,                                            /* 1990 - xxxx */
            month,                                                /* 1 - 12 */
            day,                                                  /* 1 - 31 */
            hour,                                                 /* 0 - 23 */
            min,                                                  /* 0 - 59 */
            sec,                                                  /* 0 - 59 */
            zone,net,node,point;
    char    system_name[31],
            city[39];
    word    timeonline;                            /* Seconds spent on-line */
    dword   rcvd_bytes,
            sent_bytes;
    word    cost;
    }
    MAILHIST, *MAILHISTPTR;

/* end of file "mailhist.h" */
